AmiKit - Your Modern Retro Amiga Experience
 Start Register Search Statistics Quick Guide  
Online now: Guests - 1
Members - 0
Most users ever online: 717 [7 Feb 2021 09:33]
Guests - 717 / Members - 0
Specific questions AmiKit Support Forum / Specific questions /  
 

Amikit XE on MacOS 10.15.5 no longer runs?

 
Author geordiepaul
Partaker
#1 Posted: 26 Jun 2020 04:48 
Hi all - I'm a newbie using Amikit .. it was running fine on my Mac and just tried to run it again and the icon just bounces for 20 seconds and the app does not start.
If I try it again the icon bounces once and nothing happens?

I'm running 10.15.5 MacOS.

Thoughts?
Paul.

Author AmiKit
Admin
#2 Posted: 27 Jun 2020 23:25 
Hi Paul,

Unfortunately AmiKit works with macOS version up to 10.14 inly - that means macOS Catalina (10.15.x) is not supported at the moment. I assume you run AmiKit on macOS 10.14 and then you upgraded to 10.15? In that case here are the possibilities you have now: https://forum.amiga.sk/index.php?action=vthread&forum=12&topic=1926&page=2#msg8219

AmiKit XE was released before the macOS 10.15 came out. And it is not so easy to adjust to the changes the new macOS brought. I am sorry for the inconvenience.

Author geordiepaul
Partaker
#3 Posted: 28 Jun 2020 02:03 
thanks - is that something being actively worked on?

Author AmiKit
Admin
#4 Posted: 28 Jun 2020 02:45 
Currently just waiting for Catalina compatible Wine... and working on Vampire port meanwhile. But I might have an idea of using a 64bit WinUAE. Let's see if that will work.

Author geordiepaul
Partaker
#5 Posted: 1 Jul 2020 04:35 
OK - cool thank you, look forward to it.

Author geordiepaul
Partaker
#6 Posted: 12 Feb 2022 00:59 
Hi - I haven't been able to run the product I purchased for almost 2 years - what are my options now as I see there is a new version?

Author AmiKit
Admin
#7 Posted: 12 Feb 2022 09:38 
Hi Paul, and thanks for your message!

in September 2020 I introduced Catalina support for AmiKit, it works with the latest Monterey too. You can re-pack your current AmiKit into the new wrapper which you can find here: https://www.amikit.amiga.sk/macwrapper

Or you can purchase a subscription and I will send you a brand new installer that works even on M1: https://www.amikit.amiga.sk/subscription

Hope it helps?
Jan

Author geordiepaul
Partaker
#8 Posted: 5 Mar 2022 11:38 
Thanks - have just purchased the subscription, I have a new mac so starting from scratch

Author AmiKit
Admin
#9 Posted: 5 Mar 2022 11:40 
Thanks! New Mac needs a new installer. Check your mailbox ;)

Author geordiepaul
Partaker
#10 Posted: 11 Mar 2022 12:12 
Purchased, installed, and running again!

Author sikosis
Partaker
#11 Posted: 30 Mar 2022 05:17 
I tried the macwrapper with AmiKit X and it fails to run on both an M1 Mac mini and an Intel MacBook Pro (2017) - both running macOS Monterey 12.3

Author sikosis
Partaker
#12 Posted: 30 Mar 2022 05:35 
Got them running after enabling this from the troubleshooting guide:-

sudo spctl --master-disable

Specific questions AmiKit Support Forum / Specific questions /
 Amikit XE on MacOS 10.15.5 no longer runs?

Your Reply Click this icon to move up to the quoted message


 ?
Only registered users are allowed to post here. Please, enter your username/password details upon posting a message, or register first.

 

 
AmiKit Support Forum Powered by Forum Script miniBB ®
 ⇑